Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\SiteAccessAware\SectionService Class Reference

SectionService for SiteAccessAware layer. More...

Inheritance diagram for eZ\Publish\Core\Repository\SiteAccessAware\SectionService:

## Public Member Functions
| __construct (SectionServiceInterface $service)
| Construct service object from aggregated service. More...
| createSection (SectionCreateStruct $sectionCreateStruct)
| Creates the a new Section in the content repository. More...
| updateSection (Section $section, SectionUpdateStruct $sectionUpdateStruct)
| Updates the given in the content repository. More...
| loadSection ($sectionId)
| Loads a Section from its id ($sectionId). More...
| loadSections ()
| Loads all sections, excluding the ones the current user is not allowed to read. More...
| loadSectionByIdentifier ($sectionIdentifier)
| Loads a Section from its identifier ($sectionIdentifier). More...
| countAssignedContents (Section $section)
| Counts the contents which $section is assigned to. More...
| isSectionUsed (Section $section)
| Returns true if the given section is assigned to contents, or used in role policies, or in role assignments. More...
| assignSection (ContentInfo $contentInfo, Section $section)
| Assigns the content to the given section this method overrides the current assigned section. More...
| assignSectionToSubtree (Location $location, Section $section)
| Assigns the subtree to the given section this method overrides the current assigned section. More...
| deleteSection (Section $section)
| Deletes $section from content repository. More...
| newSectionCreateStruct ()
| Instantiates a new SectionCreateStruct. More...
| newSectionUpdateStruct ()
| Instantiates a new SectionUpdateStruct. More...

## Protected Attributes
| $service

## Detailed Description

SectionService for SiteAccessAware layer.

Currently does nothing but hand over calls to aggregated service.

Definition at line 21 of file Core/Repository/SiteAccessAware/SectionService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::__construct | ( | SectionServiceInterface | $service | ) |

Construct service object from aggregated service.

Parameters

  \eZ\Publish\API\Repository\SectionService | $service |

Definition at line 31 of file Core/Repository/SiteAccessAware/SectionService.php.

References eZ\Publish\Core\Repository\SiteAccessAware\SectionService\$service.

## Member Function Documentation

## ◆ assignSection()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::assignSection | ( | ContentInfo | $contentInfo,
|  | Section | $section
| ) |  |

Assigns the content to the given section this method overrides the current assigned section.

Exceptions

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 72 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ assignSectionToSubtree()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::assignSectionToSubtree | ( | Location | $location,
|  | Section | $section
| ) |  |

Assigns the subtree to the given section this method overrides the current assigned section.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Location | $location |
  \eZ\Publish\API\Repository\Values\Content\Section | $section |

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 77 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ countAssignedContents()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::countAssignedContents | ( | Section | $section | ) |

Counts the contents which $section is assigned to.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Section | $section |

Returns
  int

Deprecated:
  since 6.0

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 62 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ createSection()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::createSection | ( | SectionCreateStruct | $sectionCreateStruct | ) |

Creates the a new Section in the content repository.

Exceptions

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 37 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ deleteSection()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::deleteSection | ( | Section | $section | ) |

Deletes $section from content repository.

Exceptions

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 82 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ isSectionUsed()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::isSectionUsed | ( | Section | $section | ) |

Returns true if the given section is assigned to contents, or used in role policies, or in role assignments.

This does not check user permissions.

Since
  6.0

Parameters

  \eZ\Publish\API\Repository\Values\Content\Section | $section |

Returns
  bool

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 67 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ loadSection()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::loadSection | ( |  | $sectionId | ) |

Loads a Section from its id ($sectionId).

Exceptions

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 47 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ loadSectionByIdentifier()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::loadSectionByIdentifier | ( |  | $sectionIdentifier | ) |

Loads a Section from its identifier ($sectionIdentifier).

Exceptions

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 57 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ loadSections()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::loadSections | ( |  | ) |

Loads all sections, excluding the ones the current user is not allowed to read.

Returns
  array of \eZ\Publish\API\Repository\Values\Content\Section

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 52 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ newSectionCreateStruct()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::newSectionCreateStruct | ( |  | ) |

Instantiates a new SectionCreateStruct.

Returns
  \eZ\Publish\API\Repository\Values\Content\SectionCreateStruct

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 87 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ newSectionUpdateStruct()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::newSectionUpdateStruct | ( |  | ) |

Instantiates a new SectionUpdateStruct.

Returns
  \eZ\Publish\API\Repository\Values\Content\SectionUpdateStruct

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 92 of file Core/Repository/SiteAccessAware/SectionService.php.

## ◆ updateSection()

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::updateSection | ( | Section | $section,
|  | SectionUpdateStruct | $sectionUpdateStruct
| ) |  |

Updates the given in the content repository.

Exceptions

Implements eZ\Publish\API\Repository\SectionService.

Definition at line 42 of file Core/Repository/SiteAccessAware/SectionService.php.

## Member Data Documentation

## ◆ $service

eZ\Publish\Core\Repository\SiteAccessAware\SectionService::$service
| protected

Definition at line 24 of file Core/Repository/SiteAccessAware/SectionService.php.

Referenced by eZ\Publish\Core\Repository\SiteAccessAware\SectionService\__construct().

The documentation for this class was generated from the following file:

- Core/Repository/SiteAccessAware/SectionService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.